Pylander Pylander - 5 days ago 5
Python Question

Yum Install libhdf5-dev on Amazon Linux

I am working on deploying project that uses hdf5 as a dependency:
http://docs.h5py.org/en/latest/build.html
And I am having a devil of a time install one of the dependencies for my elastic beanstalk deployment.

HDF5 1.8.4 or newer, shared library version with development headers (libhdf5-dev or similar)

Yum cannot seem to find it no matter the options:

"No package libhdf5-serial-dev available.
No package libhdf5-dev. No package libhdf5-devel.
No package hdf5-tools available."

Any pointers on what command I can run during deployment to get this install would be great.

Answer

Given that Amazon Linux is a modification of RHEL - so the package manager is yum. The development lib of hdf5 for CentOS is hdf5-devel:

For CentOS

yum -y install hdf5-devel

The current version is (which will get installed) 1.8.12


For Ubuntu:

sudo apt-get install libhdf5-dev
Comments